# EventBuffer::unfreeze

(PECL event >= 1.2.6-beta)

EventBuffer::unfreeze — Re-enable calls that modify an event buffer

### Description

public EventBuffer::unfreeze ( bool `$at_front` ) : bool

Re-enable calls that modify an event buffer.

### Parameters

`at_front`

  Whether to enable events at the front or at the end of the buffer.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBuffer::freeze() - Prevent calls that modify an event buffer from succeeding